Subject: Re: Dash To Dock 71 not working properly with Gnome Shell 41

From: raid5atemyhomework <[email-masked]>
Date: Fri, 07 Jan 2022 03:56:35 +0000

Hello Liliana,

> Hi,
>
> Am Donnerstag, dem 06.01.2022 um 04:35 +0000 schrieb
> raid5atemyhomework:
>
> > I recently upgraded, and on reboot found that the Gnome Shell extension
> > Dash to Dock was no longer working properly.
> > Instead of displaying my favorite applications on the bottom dock, it
> > only displays the "applications" icon.  Running applications are also
> > not displayed.
> > I found a solution:
> >
> > -   In the Gnome activities search bar, look for "Extensions" and run it.
> > -   Select the gear icon / settings for Dash to Dock.
> > -   Select tab "Appearance".
> > -   Enable "Use built-in theme".
> >
> > It seems the details of the theming engine were changed in recent Gnome
> > and you now have no choice but "Use built-in theme".
>
> I'm not sure how this is a bug in Guix. Dash-to-dock 71 is the latest
> release from upstream taking extensions.gnome.org as the source of
> truth [1]. There appears to be a related issue upstream [2], perhaps
> you're encountering that?

The solution found there (disable Ubuntu Dock) does not work for me --- there is no Ubuntu Dock in Guix, LOL.

It may be a *related* bug, but this may also be unique to how Guix packages both programs.
So I want to know if other users on Guix are seeing the same thing as well.
Guix version is e675030fba924a1aef2677f8ab912eaa3c46403c.

Given the default `(service gnome-desktop-service-type)`, where does `gnome-shell` put its logs?
There are no logs for Gnome Shell specifically on `/var/log`, it does not print anything in `/var/log/Xorg.0.log`, and `info guix` does not describe any log output directory for `gnome-desktop-configuration`, so I don't know where Gnome Shell on Guix puts its logs.  Does it just get printed to console?

Thanks
raid5atemyhomework